Skip to navigation

Get Typography

This feature is in beta and may change. Requests return 403 until the feature flag is enabled for your site or workspace.

Gets a site owned typography by typographyId.

Authentication

x-api-keystring

API key authentication with an App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ).

OR
x-api-keystring

Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000).

Path parameters

idstringRequiredformat: "uuid"
The ID of the typography.

Response

idstringformat: "uuid"
referenceIdstring

The id to use wherever a text element references this typography (e.g. the “id” field of a Text element’s “typography” prop in a page’s element data) - NOT the plain “id” field above, which is used as the typography identifier in other REST typography API calls.

namestring
stylelist of objects
siteIdstringformat: "uuid"

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error